* FOR CLIPPER ONLY!

************************ ANSRCLIP.PRG ******************************
* A very simple program that demonstrates how to use the high level UDFs
* in CMETUDFC.PRG .  This program will have COMET wait in the background
* for another modem to call.  Upon connecting, we'll YMODEM send a copy of
* ANSRCLIP.PRG and then YMODEM receive a copy of CALLCLIP.PRG.  While these file
* transfers take place, this program will do a simple READ of 3 GETs .


SET PROCEDURE TO CMETUDFC       ** Clipper UDF set in CMETUDFC.PRG

CLEAR

* 1st, let's find & OPEN the COM port for our modem
IF .NOT. _MODEM()
    @ 10, 10 SAY 'ERROR: CANNOT FIND A MODEM AT COM1 OR COM2'
    @ 12, 10 SAY 'HIT ANY KEY ...'
    DO WHILE INKEY() = 0        && Wait for keypress
    ENDDO
	DO ShutDown
ENDIF

*Modem found & initialized, now let's setup for auto answering
Nul = _AUTOANS(_Port_, 'PC #2', 'PC #1', 30, .T., 'YSEND ANSRCLIP.PRG; YRECV')

*Modem waiting for a call.
*We can go on to our main application ...

CLEAR
@ 24,0 SAY '<PgDn> - show file transfer status        |    <ESC> - quit'
STORE SPACE(20) TO Name, Addr1, Addr2

DO WHILE .T.
    @ 10, 10 SAY ' NAME:' GET Name
    @ 12, 10 SAY 'ADDR1:' GET Addr1
    @ 14, 10 SAY 'ADDR2:' GET Addr2
    READ
    RdKey = MOD(READKEY(),256)      && Strip modified value, if present
    DO CASE
        CASE RdKey = 7                    && PgDn ?
            @ 22,5
            @ 22,5 SAY 'STATUS: ' + TRIM(_COMET('FCHK' + SPACE(100)))   && Display file transfer status
        CASE RdKey = 12                     && ESC ?
            EXIT
    ENDCASE
ENDDO
DO ShutDown

PROCEDURE ShutDown
_CLOSE(_Port_)
CANCEL
RETURN 

